package com.inkasso.factoring.creditmanagement.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 下游销售单据 历史
 * </p>
 *
 * @author liutao
 * @since 2023-12-01
 */
@TableName("c_sales_documents_info_history")
public class CSalesDocumentsInfoHistory  {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 企业信息id
     */
    @TableField("c_enterprise_history_id")
    private Long cEnterpriseHistoryId;

    /**
     * 国央企名称
     */
    @TableField("name")
    private String name;

    /**
     * 合同名称
     */
    @TableField("contract_name")
    private String contractName;

    /**
     * 合同编号
     */
    @TableField("contract_number")
    private String contractNumber;

    /**
     * 合同金额（元）'
     */
    @TableField("contract_amount")
    private BigDecimal contractAmount;

    /**
     * 合同日期
     */
    @TableField("contract_date")
    private Date contractDate;

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }

    public BigDecimal getContractAmount() {
        return contractAmount;
    }

    public void setContractAmount(BigDecimal contractAmount) {
        this.contractAmount = contractAmount;
    }

    public Date getContractDate() {
        return contractDate;
    }

    public void setContractDate(Date contractDate) {
        this.contractDate = contractDate;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getcEnterpriseHistoryId() {
        return cEnterpriseHistoryId;
    }

    public void setcEnterpriseHistoryId(Long cEnterpriseHistoryId) {
        this.cEnterpriseHistoryId = cEnterpriseHistoryId;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return "CSalesDocumentsInfoHistory{" +
            "cEnterpriseHistoryId=" + cEnterpriseHistoryId +
            ", name=" + name +
        "}";
    }
}
